org.eclipse.ease.sign

## Class SignatureCheck

- java.lang.Object
- - org.eclipse.ease.sign.SignatureCheck

    public class SignatureCheck
    extends Object

### Field Summary

Fields
`static String` `PLUGIN_EASE_UI_SCRIPTS_ID`

### Constructor Summary

Constructors
Constructor and Description
`SignatureCheck()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `canExecute(ScriptType scriptType, InputStream inputStream, boolean remote)` Use result of this method directly to know whether to run remote/local scripts.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_EASE_UI_SCRIPTS_ID

    public static final String PLUGIN_EASE_UI_SCRIPTS_ID

See Also:
  Constant Field Values

### Constructor Detail

#### SignatureCheck

    public SignatureCheck()

### Method Detail

#### canExecute

    public static boolean canExecute(ScriptType scriptType,
                                     InputStream inputStream,
                                     boolean remote)

Use result of this method directly to know whether to run remote/local scripts.

Parameters:
  `scriptType` - instance of `ScriptType`
  `inputStream` - InputStream of data file which contain appended signature
  `remote` - `true` if file to be executed is a remote file or `false` if file is on local system
Returns:
  `true` if script file can be executed or `false` otherwise